STRUCT SND_SOC_JACK_(9)

NAME
struct_snd_soc_jack_gpio - Describes a gpio pin for jack detection

SYNOPSIS

struct snd_soc_jack_gpio {
  unsigned int gpio;
  unsigned int idx;
  const char * name;
  int report;
  int invert;
  bool wake;
  int (* jack_status_check) (void *data);
};

MEMBERS

gpio
    legacy gpio number

idx
    gpio descriptor index within the function of the GPIO consumer device gpiod_dev GPIO consumer device

name
    gpio name. Also as connection ID for the GPIO consumer device function name lookup

report
    value to report when jack detected

invert
    report presence in low state

wake
    enable as wake source

jack_status_check
    callback function which overrides the detection to provide more complex checks (eg, reading an ADC).

COPYRIGHT